/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type LockupParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        userLockupStakingAccountBump: number;
        index: number;
        vaultIndex: number;
        amount: BN;
    };
};
export declare function lockup(program: Program<Staking>, params: LockupParams): Promise<Instruction>;
