/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type StakeParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        amount: BN;
    };
};
export declare function stake(program: Program<Staking>, params: StakeParams): Promise<Instruction>;
